# Uses of Enum Class
org.apache.lucene.search.grouping.TopGroups.ScoreMergeMode

- ## Uses of TopGroups.ScoreMergeMode in org.apache.lucene.search.grouping

  Methods in org.apache.lucene.search.grouping that return TopGroups.ScoreMergeMode
  Modifier and Type
  Method
  Description
  `static TopGroups.ScoreMergeMode`
  TopGroups.ScoreMergeMode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TopGroups.ScoreMergeMode[]`
  TopGroups.ScoreMergeMode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.search.grouping with parameters of type TopGroups.ScoreMergeMode
  Modifier and Type
  Method
  Description
  `static <T> TopGroups<T>`
  TopGroups.`merge(TopGroups<T>[] shardGroups, Sort groupSort, Sort docSort, int docOffset, int docTopN, TopGroups.ScoreMergeMode scoreMergeMode)`
  Merges an array of TopGroups, for example obtained from the second-pass collector across multiple shards.